- Main Page
- Packages
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# smjg.libs.sdwf.commoncontrol.TrackBar Class Reference

The smjg.libs.sdwf.commoncontrol.TrackBar class interfaces a trackbar (slider) control. More...

Inheritance diagram for smjg.libs.sdwf.commoncontrol.TrackBar:

List of all members.

## Properties
deprecated typedef lineStep | lineSize
deprecated typedef pageStep | pageSize
int | value ()
| The current position of the slider.
int | value (int v)
| The current position of the slider.
int | minimumRange ()
| The slider's minimum value.
int | minimumRange (int m)
| The slider's minimum value.
int | maximumRange ()
| The slider's maximum value.
int | maximumRange (int m)
| The slider's maximum value.
int | lineStep ()
| The slider's 'line' increment.
int | lineStep (int size)
| The slider's 'line' increment.
int | pageStep ()
| The slider's 'page' increment.
int | pageStep (int size)
| The slider's 'page' increment.
int | tickSpacing (int space)
| The spacing of tick marks on the trackbar.
## Public Member Functions
| this (Dialog parent, int id, int min, int max)
| Constructs a TrackBar to interface a given trackbar control.
| this (WindowBase parent, int id, Rect position, int min, int max)
| Constructs a TrackBar to be created at runtime.

## Detailed Description

The smjg.libs.sdwf.commoncontrol.TrackBar class interfaces a trackbar (slider) control.

Since:
  0.4

Todo:
  add more features, possibly including: range selection, irregular tick spacing

## Constructor & Destructor Documentation

smjg.libs.sdwf.commoncontrol.TrackBar.this | ( | Dialog | parent,
|  | int | id,
|  | int | min,
|  | int | max |
| ) |  |  |

Constructs a TrackBar to interface a given trackbar control.

Parameters:

  | parent | the dialog on which the control is placed.
  | id | numeric ID of the control.
  | min | the trackbar's minimum value.
  | max | the trackbar's maximum value.

Precondition:
  The parent interface element must already have been created. TrackBar objects should be constructed in an overridden Dialog.setup method, not in the constructor of a Dialog subclass.

Status:
  done

smjg.libs.sdwf.commoncontrol.TrackBar.this | ( | WindowBase | parent,
|  | int | id,
|  | Rect | position,
|  | int | min,
|  | int | max |
| ) |  |  |

Constructs a TrackBar to be created at runtime.

Parameters:

  | parent | the window or dialog on which the trackbar will be placed.
  | id | numeric ID that the trackbar will have.
  | position | the position on the parent window where the trackbar will be placed.
  | min | the trackbar's minimum value.
  | max | the trackbar's maximum value.

Status:
  done

## Member Function Documentation

int smjg.libs.sdwf.commoncontrol.TrackBar.value | ( |  | ) |

The current position of the slider.

Status:
  done

int smjg.libs.sdwf.commoncontrol.TrackBar.value | ( | int | v | ) |

The current position of the slider.

int smjg.libs.sdwf.commoncontrol.TrackBar.minimumRange | ( |  | ) |

The slider's minimum value.

int smjg.libs.sdwf.commoncontrol.TrackBar.minimumRange | ( | int | m | ) |

The slider's minimum value.

int smjg.libs.sdwf.commoncontrol.TrackBar.maximumRange | ( |  | ) |

The slider's maximum value.

int smjg.libs.sdwf.commoncontrol.TrackBar.maximumRange | ( | int | m | ) |

The slider's maximum value.

int smjg.libs.sdwf.commoncontrol.TrackBar.lineStep | ( |  | ) |

The slider's 'line' increment.

This is the amount by which the slider will move when the user presses an arrow key when the trackbar has the focus.

Since:
  0.5 (previously called lineSize)

int smjg.libs.sdwf.commoncontrol.TrackBar.lineStep | ( | int | size | ) |

The slider's 'line' increment.

This is the amount by which the slider will move when the user presses an arrow key when the trackbar has the focus.

Warning:
  If you change this value from the default of 1, mouse users will be able to adjust the slider in finer increments, but keyboard users will not. Hence you should provide an alternative means of fine-tuning the slider value, such as an edit box that is kept synchronised with the trackbar.

Since:
  0.5 (previously called lineSize)

Status:
  done

int smjg.libs.sdwf.commoncontrol.TrackBar.pageStep | ( |  | ) |

The slider's 'page' increment.

This is the amount by which the slider will move when the user presses Page Up or Page Down while the trackbar has the focus, or clicks on the trackbar outside of the slider itself.

Since:
  0.5 (previously called pageSize)

int smjg.libs.sdwf.commoncontrol.TrackBar.pageStep | ( | int | size | ) |

The slider's 'page' increment.

This is the amount by which the slider will move when the user presses Page Up or Page Down while the trackbar has the focus, or clicks on the trackbar outside of the slider itself.

Since:
  0.5 (previously called pageSize)

int smjg.libs.sdwf.commoncontrol.TrackBar.tickSpacing | ( | int | space | ) |

The spacing of tick marks on the trackbar.

This applies to trackbars with the TBS.AUTOTICKS style.

Status:
  done

## Member Data Documentation

deprecated typedef lineStep smjg.libs.sdwf.commoncontrol.TrackBar.lineSize

deprecated typedef pageStep smjg.libs.sdwf.commoncontrol.TrackBar.pageSize

The documentation for this class was generated from the following file:

- commoncontrol.d